=== 4/da/docs/CMakeLists.txt ===
add_subdirectory( applications )
add_subdirectory( common )
add_subdirectory( kdeaccessibility )
add_subdirectory( kdeedu )
add_subdirectory( kdelibs )
add_subdirectory( kdenetwork )
add_subdirectory( kdepim )
add_subdirectory( kdepimlibs )
add_subdirectory( kde-runtime )
add_subdirectory( kdesdk )
add_subdirectory( kdewebdev )
add_subdirectory( kde-workspace )
