=== 4/tr/docs/CMakeLists.txt ===
add_subdirectory( common )
add_subdirectory( kdelibs )
add_subdirectory( kdepim )
add_subdirectory( kdepimlibs )
add_subdirectory( kde-runtime )
add_subdirectory( kde-workspace )
