=== 5/ca/docs/CMakeLists.txt ===
add_subdirectory( applications )
add_subdirectory( kdeadmin )
add_subdirectory( kdeedu )
add_subdirectory( kdegames )
add_subdirectory( kdegraphics )
add_subdirectory( kdemultimedia )
add_subdirectory( kdenetwork )
add_subdirectory( kdepim )
add_subdirectory( kdepimlibs )
add_subdirectory( kdesdk )
add_subdirectory( kdeutils )
add_subdirectory( pim )
