=== 4/da/docs/kdeedu/CMakeLists.txt ===
add_subdirectory( kalzium )
