=== 4/fr/docs/applications/CMakeLists.txt ===
add_subdirectory( kdepasswd )
add_subdirectory( kfind )
add_subdirectory( konqueror )
add_subdirectory( konsole )
add_subdirectory( kwrite )
