=== 4/pt_BR/docs/kdeutils/CMakeLists.txt ===
add_subdirectory( kcontrol )
add_subdirectory( kdf )
add_subdirectory( kgpg )
add_subdirectory( sweeper )
