=== 4/ru/docs/kdeutils/CMakeLists.txt ===
add_subdirectory( kcontrol )
add_subdirectory( kdf )
add_subdirectory( kwalletmanager )
