=== debian/changelog ===
kde-l10n (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add more Breaks/Replaces against old versions of packages providing
    translations moved here: (Closes: #831224)
    - packages of applications now part of Application releases:
      plasma-runner-telepathy-contact, kde-telepathy-send-file,
      kde-telepathy-filetransfer-handler, kde-telepathy-contact-list

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2016 13:42:04 +0200

kde-l10n (4:16.04.2-3) unstable; urgency=medium

  * Team upload.
  * Make sure all the languages have the common breaks/replaces variables:
    add them for ast, eo, and id.
  * Add Breaks/Replaces against old versions of packages providing
    translations moved there: (Closes: #828923, #829451)
    - packages of applications now part of Application releases:
      kdenlive-data, kde-telepathy-data, kde-config-telepathy-accounts,
      kde-telepathy-text-ui, kde-telepathy-integration-module,
      kde-telepathy-approver, kde-telepathy-auth-handler
    - kio-mtp
    - digikam-data (for libkgeomap)

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2016 17:22:54 +0200

kde-l10n (4:16.04.2-2) unstable; urgency=medium

  * Team upload.
  * Drop ktp-call-ui.mo for now, until kde-telepathy-call-ui is updated to
    15.08 and over. (Closes: #827836)

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jun 2016 19:58:10 +0200

kde-l10n (4:16.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #826088)
    - add languages: ast, eo
  * Make use of version=4 format for the watch file, so it can be used to
    monitor and download upstream tarballs directly:
    - add a new script, createwatch, to generate a watch file from a list of
      languages
    - add the resulting watch file generated with createwatch
    - remove the old source.download script and multiwatch, no more needed now
  * Update the build dependencies:
    - remove kdoctools, already installed by kdelibs5-dev
    - add extra-cmake-modules, kdoctools-dev, libkf5i18n-dev, and
      qttools5-dev-tools, to build KF5-based translations
  * Update Vcs-* fields.
  * Drop kcm_activities.mo and kcm_device_automounter.mo, shipped by
    plasma-desktop.
  * Drop *_mimetypes.mo translations, since they are only helper for
    translating XML files.
  * Drop *.appdata.mo translations, since they are only helper for translating
    appdata files.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Add libkf5i18n5 as first alternative dependency to libkdecore5, as the
    desktop environment is based on Frameworks.
  * Stop calling few dh helpers:
    - dh_installmenu, as there are no menu files to install
    - dh_strip and dh_shlibdeps, no-ops for arch-indep binaries
  * Minor copyright update.

 -- Pino Toscano <pino@debian.org>  Wed, 15 Jun 2016 21:10:25 +0200

kde-l10n (4:4.14.0-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6, no changes needed.
  * Drop files now shipped in kgamma5

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 19:09:46 +0200

kde-l10n (4:4.14.0-2) unstable; urgency=medium

  * Team upload
  * Remove translation files now shipped in other packages, using a
    custom debian/excluded_files.list including all currently-known .mo
    files

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 12:07:09 +0200
