=== debian/watch ===
version=4

# !!! WARNING !!!
# !!! Autogenerated using debian/createwatch.
# !!! Please see debian/README.source for more details.

opts="component=ar" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ar-([\d.]+).tar.xz

opts="component=ast" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ast-([\d.]+).tar.xz

opts="component=bg" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-bg-([\d.]+).tar.xz

opts="component=bs" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-bs-([\d.]+).tar.xz

opts="component=ca" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ca-([\d.]+).tar.xz

opts="component=cavalencia" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ca@valencia-([\d.]+).tar.xz

opts="component=cs" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-cs-([\d.]+).tar.xz

opts="component=da" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-da-([\d.]+).tar.xz

opts="component=de" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-de-([\d.]+).tar.xz

opts="component=el" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-el-([\d.]+).tar.xz

opts="component=engb" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-en_GB-([\d.]+).tar.xz

opts="component=eo" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-eo-([\d.]+).tar.xz

opts="component=es" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-es-([\d.]+).tar.xz

opts="component=et" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-et-([\d.]+).tar.xz

opts="component=eu" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-eu-([\d.]+).tar.xz

opts="component=fa" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fa-([\d.]+).tar.xz

opts="component=fi" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fi-([\d.]+).tar.xz

opts="component=fr" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-fr-([\d.]+).tar.xz

opts="component=ga" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-ga-([\d.]+).tar.xz

opts="component=gl" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-gl-([\d.]+).tar.xz

opts="component=he" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-he-([\d.]+).tar.xz

opts="component=hi" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-hi-([\d.]+).tar.xz

opts="component=hr" \
  http://download.kde.org/stable/applications/([\d.]+)/src/kde-l10n/kde-l10n-hr-([\d.]+).tar.xz

opts="component=hu" \
